
/**
 * Lancia l'applicazione.
 */
public class Main {
    public static void main(String[] args) {
        Porta cancello = new Porta(
            "un cancello", 
            "un vecchio cancello arrugginito"
        );
        Chiave chiaveDorata = new Chiave(
            "una chiave", 
            "una chiave dorata molto antica"
        );
        Chiave chiave1 = new Chiave(
            "una chiave", 
            "una chiave d'argento"
        );
        Serratura serratura1 = new Serratura(chiaveDorata);
        Serratura serratura2 = new Serratura(chiave1);
        
        Porta porta = new Porta("una porta", 
            "una porta di legno con una serratura"
        );
        porta.aggiungi(serratura1);
        porta.aggiungi(serratura2);
        
        System.out.println("Stato della porta: " + porta.isAperta());

        System.out.println("Apertura con la prima chiave");
        porta.apri(chiaveDorata);
        System.out.println("Stato della porta: " + porta.isAperta());

        System.out.println("Apertura con la seconda chiave");
        porta.apri(chiave1);
        System.out.println("Stato della porta: " + porta.isAperta());
        
//        porta.apri(chiaveDorata, chiave1);
        
        Stanza giardino = new Stanza(
            "un giardino", 
            "un giardino all'italiana, ormai trascurato da molto tempo"
        );
        
        giardino.aggiungi(cancello);
        giardino.aggiungi(porta);
        
        System.out.println(giardino.esamina());
        
        System.out.println("Esame della serratura");
        System.out.println("Stato: " + serratura1.isAperta());
        System.out.println("Apertura");
        serratura1.apri(chiaveDorata);
        System.out.println("Stato: " + serratura1.isAperta());
//         Stanza cantina = new Stanza("una cantina", "una cantina molto umida e poco illuminata");
// //         cantina.aggiungi(chiaveDorata);
//         
//         Personaggio protagonista = new Personaggio(giardino);
//         
//         System.out.println(giardino);
//         System.out.println(giardino.esamina());
//         
//         System.out.println(cancello);
//         System.out.println(cancello.esamina());
//         
//         System.out.println(protagonista.esaminaStanza());
//         protagonista.teletrasportati(cantina);
//         System.out.println(protagonista.esaminaStanza());
//         
//         
    }
}
