
/**
 * Un'istanza della classe Personaggio si occupa di conservare
 * le informazioni riguardanti il personaggio (per esempio: nome), 
 * la stanza in cui si trova e gli oggetti che il personaggio porta
 * con s.
 */
public class Personaggio {
    Stanza stanzaCorrente;
    
    public Personaggio()    {
        
    }
    
    public Personaggio(Stanza stanzaIniziale) {
        stanzaCorrente = stanzaIniziale;
    }
    
    public void teletrasportati(Stanza stanza) {
        stanzaCorrente = stanza;
    }
    
    public String esaminaStanza() {
        if (stanzaCorrente != null)
            return "Ti trovi in " + stanzaCorrente.esamina();
        else
            return "";
    }
}
